> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/networking/cdn/analysis/describedownloadspeed.md).

# DescribeDownloadSpeed

## 1. API Description

This interface (DescribeDownloadSpeed) is used to query CDN download speed.

## 2. Request Parameters

The following request parameter list includes only those required by the interface:

| Parameter Name | Required | Type   | Description                                                                                                                                                                                                                                                            |
| -------------- | -------- | ------ | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| startTime      | Yes      | String | The beginning of the time range to query. Specify the time in the ISO 8601 standard in the yyyy-MM-ddTHH:mm:ssZ format. The time must be in UTC. For example, 2024-08-22T00:00:00Z.                                                                                    |
| endTime        | Yes      | String | The end of the time range to query. Specify the time in the ISO 8601 standard in the yyyy-MM-ddTHH:mm:ssZ format. The time must be in UTC. For example, 2024-08-22T00:10:00Z. For example, 2024-08-22T00:09:59Z. Note: The end time must be later than the start time. |
| domain         | Yes      | String | Accelerated domain                                                                                                                                                                                                                                                     |

## 3. Output Parameters

| Parameter Name | Type                                                                         | Description                                                                         |
| -------------- | ---------------------------------------------------------------------------- | ----------------------------------------------------------------------------------- |
| dataSet        | Array of [TimeData](/api-reference/networking/cdn/datastructure.md#timedata) | Download speed(Bytes/s)                                                             |
| requestId      | String                                                                       | Unique request ID returned with each request. Provide this ID when locating issues. |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}

1. **Query CDN download speed.**

```json
POST / HTTP/1.1
Host: console.zenlayer.com/api/v2/cdn
Content-Type: application/json
X-TC-Action: DescribeDownloadSpeed
<Common Request Params>

Request:
{
    "startTime": "2022-09-21T11:30:00Z",
    "endTime": "2022-09-21T14:25:00Z"
}

Response:
{
  "requestId": "T6883FCD0-3E7D-44EA-A517-A421A52A27F4",
  "response": {
    "requestId": "T6883FCD0-3E7D-44EA-A517-A421A52A27F4",
    "dataSet": [{
      "time": "2022-09-21T11:30:00Z",
      "value": 199844.96
    },
    {
      "time": "2022-09-21T14:25:00Z",
      "value": 167393.94
    }]
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Error Codes

The following includes error codes encountered in business logic. For other error codes, refer to [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).
